Noob at the PSP modding scene

Discussion in 'PSP - Hacking & Homebrew' started by doot_tha_loop, Nov 17, 2007.

Nov 17, 2007
  1. doot_tha_loop
    OP

    Newcomer doot_tha_loop Newbie

    Joined:
    Nov 17, 2007
    Messages:
    2
    Country:
    United States
    Hi, I recently ordered a PSP [it hasn't got here yet, so maybe a better time to ask questions about it would be when it gets here?^^; I dunno, I wanna be prepared ahead of time..], anyways, I was doing research online on how to do the custom firmware to make PSP's play ISO's/CSO's, and I found a few nice tutorials. The PSP I ordered, I know it said on Ebay, is a v1.5, and I was wondering, is it necessary to upgrade it to the v3.52 M33 in order to make it play the ISO and CSO games? Or does v1.5 automatically play those? I'm just not clear on that part, and I don't want to mess something up before I go ahead and upgrade the firmware >< Thanks in advance!
     
  2. 4saken

    Member 4saken Retired Ace Attorney

    Joined:
    Nov 28, 2006
    Messages:
    3,358
    Country:
    Australia
    It is not necessary, though the higher/newer versions of Custom Firmware allow booting ISO/CSO directly from the menu. If you use 1.5, you will need to use a separate loader.
     
  3. doot_tha_loop
    OP

    Newcomer doot_tha_loop Newbie

    Joined:
    Nov 17, 2007
    Messages:
    2
    Country:
    United States
    Okay guys, I got my PSP in the mail today, but I'm having an issue trying to upgrade it to 3.52 M33. Once again, it's a v1.5 PSP, but, when I run the KExploitPatcher [suppose to run it on 1.5 PSPs], I get this error message: "this application does not apply to this firmware". Huh? I know I have a white Japanese PSP, but other than that, I don't think there's anything different about it that would affect the firmware. So my question is, is it okay to go ahead and run the M33 firmware creator and stuffs, without having to mess with the patcher? Also, I am not aware if it has been simply upgraded and then downgraded before, the System says v1.5. Thanks for your help!
     
  4. Tixek

    Newcomer Tixek Newbie

    Joined:
    Nov 19, 2007
    Messages:
    1
    Country:
    United States
  5. Lodis

    Member Lodis GBAtemp Regular

    Joined:
    Jul 26, 2007
    Messages:
    281
    Country:
    United States

    The patcher is only needed because the eboot included in the M33 3.52 installation zip is in 1.0 format. If you don't run the patch you won't be able to run the firmware creator because it is in the wrong format.

    You could always try using this SeiPsp Tool to convert the eboot from its current 1.0 format into a kxploited 1.5 version and then run it.

    Just to make sure everything is ok on your Psp try running some other homebrew that is already in the 1.5 kxploited format.
     
  6. m0nk3y

    Newcomer m0nk3y Member

    Joined:
    Jun 1, 2007
    Messages:
    25
    Country:
    United States
    well i have no clue about the problem your having but about the other question you asked

    it is highly recommended to go to 3.51m33 or 3.71m33, whichever you prefer.

    I remember playing games on devhook in the old school days, what you basically did was have this program which was like a gui and load your games from there.

    But, with custom firmware it's direct load from the game menu, no other programs.

    Hope you get your problem resolved
     
  7. jalaneme

    Member jalaneme Female Gamer

    Joined:
    Nov 27, 2006
    Messages:
    6,247
    Location:
    London
    Country:
    United Kingdom
    whats is a cso game?
     
  8. xcalibur

    Member xcalibur Gbatemp's Chocolate Bear

    Joined:
    Jun 2, 2007
    Messages:
    3,166
    Location:
    Sacred Heart
    Country:
    United Kingdom
    as far as i know it is a compacted iso
     
  9. neo_hito

    Newcomer neo_hito Advanced Member

    Joined:
    Oct 7, 2007
    Messages:
    62
    Location:
    aussie land
    Country:
    Australia
    what the? from what i remember, most cfw installer provides the installer in 1.5 kernel form, which means it runs directly on 1.5fw psps.
    Or it would even have a 1.0 and 1.5 folder in the zip file which notes which is what.

    after a quick check, they're for 1.5... i think.
    and it'd probably be easier if you get the easy installers for 3.71m33 lying around somewhere in the web.
     
  10. jalaneme

    Member jalaneme Female Gamer

    Joined:
    Nov 27, 2006
    Messages:
    6,247
    Location:
    London
    Country:
    United Kingdom
    a compressed iso format, like how a rar file works?
     
  11. neo_hito

    Newcomer neo_hito Advanced Member

    Joined:
    Oct 7, 2007
    Messages:
    62
    Location:
    aussie land
    Country:
    Australia
    yep. sometimes it could even compress about 50% of the iso size with some games.
    using cso supposedly affects performance (loading time etc.) but its not that noticeable.
    i cso'ed most of my games [​IMG]
     
  12. Kelli

    Newcomer Kelli Member

    Joined:
    Jan 5, 2007
    Messages:
    48
    Country:
    Finland
    Hi, I also got my psp. I have fw 2.71 and installed the latest devhook. When I try to start it, it hangs some time at the psp logo and then the psp just shuts down. [​IMG] Am I doing something wrong, or why it isn't working? Homebrew works fine...
     

Share This Page